function love.load()
	originx = 0
	originy = 0
	dragx = 0
	dragy = 0
end

function love.mousepressed(x,y,button)
	if button == "l" then
		--set drag origin
		originx = x
		originy = y
	end
end

function love.update(dt)
	--update drag
	if love.mouse.isDown("l") then
		dragx = love.mouse.getX()
		dragy = love.mouse.getY()
	end
end
	
function love.draw()
	--set the color
	love.graphics.setColor(255, 0, 255)

	--draw the box
	if love.mouse.isDown("l") then
		love.graphics.polygon("line", originx, originy, dragx, originy, dragx, dragy, originx, dragy)
	else
		love.graphics.polygon("fill", originx, originy, dragx, originy, dragx, dragy, originx, dragy)
	end
end